> ## Documentation Index
> Fetch the complete documentation index at: https://manual.seahorse.dnotitia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Table Schema

> Retrieve table schema information including columns, indexes, primary keys, and configurations.



## OpenAPI

````yaml GET /v2/data/schema
openapi: 3.1.0
info:
  title: Seahorse API Gateway
  description: >-
    Seahorse API Gateway is an API gateway that integrates vector database, AI
    inference, and storage services. It provides features such as vector search,
    embedding generation, text generation, and object storage.
  license:
    name: ''
  version: 2.0.0-rc1
servers:
  - url: https://{resource_uuid}.api.seahorse.dnotitia.ai
    description: >-
      리소스(스토리지/테이블/인퍼런스 endpoint)별 UUID 서브도메인. UUID 는 콘솔 → 리소스 상세 페이지 "API URL"
      항목에서 확인
    variables:
      resource_uuid:
        default: your-resource-uuid-here
        description: '대시 제거된 32자리 UUID (예: b0348a15cf0e48079e290fe03901247b)'
security: []
tags:
  - name: TABLE_V2
    description: Table operations v2
  - name: STORAGE
    description: Storage Object operations
paths:
  /v2/data/schema:
    get:
      tags:
        - TABLE_V2
      summary: Get Table Schema
      description: >-
        Retrieve table schema information including columns, indexes, primary
        keys, and configurations.
      operationId: get_table_schema_handler_v2
      responses:
        '200':
          description: Successfully retrieved table schema
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoralResponse_TableSchemaResponse'
              example:
                code: 200
                data:
                  columns:
                    - name: id
                      nullable: false
                      type: STRING
                    - name: metadata
                      nullable: false
                      type: STRING
                    - name: text
                      nullable: false
                      type: STRING
                    - name: dense_vector
                      nullable: false
                      type:
                        dim: 4096
                        element: FLOAT32
                        name: DENSE_VECTOR
                    - name: sparse_vector
                      nullable: false
                      type:
                        name: SPARSE_VECTOR
                  configurations:
                    active_set_size_limit: 50000
                    max_threads: 8
                  indexes:
                    - column: dense_vector
                      params:
                        M: 16
                        ef_construction: 128
                        space: ipspace
                      type: diskbased
                    - column: sparse_vector
                      params:
                        sparse_model: bm25
                      type: inverted
                  primary_key:
                    - id
                  schema: null
                  segmentation:
                    buckets: 1
                    columns:
                      - id
                    composition: single
                    strategy: hash
                  table_name: 14d0508b-c824-4550-8687-f8bdecd9aad1
                exception: null
                success: true
        '400':
          description: Invalid params provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoralResponse_ErrorBody'
              example:
                code: 400
                data: null
                exception:
                  error_code: 400001
                  error_message: 'Bad Request: '
                success: false
        '500':
          description: Error occurred while trying to get table schema
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoralResponse_ErrorBody'
              example:
                code: 500
                data: null
                exception:
                  error_code: 500001
                  error_message: 'Internal error: '
                success: false
      security:
        - bearerAuth:
            - READ
            - WRITE
        - apiKeyAuth:
            - READ
            - WRITE
components:
  schemas:
    CoralResponse_TableSchemaResponse:
      type: object
      required:
        - success
        - code
      properties:
        code:
          type: integer
          format: int32
          description: HTTP status code.
          minimum: 0
        data:
          type: object
          description: >-
            Table Schema Response


            Response containing table schema information including columns,
            indexes, and configurations.
          required:
            - table_name
            - columns
            - primary_key
            - segmentation
            - indexes
            - configurations
          properties:
            columns:
              type: array
              items:
                $ref: '#/components/schemas/ColumnDefinition'
              description: List of column definitions
            configurations:
              description: Table configurations
            indexes:
              type: array
              items:
                $ref: '#/components/schemas/IndexDefinition'
              description: List of index definitions
            primary_key:
              type: array
              items:
                type: string
              description: Primary key column names
            schema:
              description: Schema definition (nullable)
            segmentation:
              description: Table segmentation configuration
            table_name:
              type: string
              description: Name of the table (usually UUID format)
        exception:
          type: object
          description: >-
            Table Schema Response


            Response containing table schema information including columns,
            indexes, and configurations.
          required:
            - table_name
            - columns
            - primary_key
            - segmentation
            - indexes
            - configurations
          properties:
            columns:
              type: array
              items:
                $ref: '#/components/schemas/ColumnDefinition'
              description: List of column definitions
            configurations:
              description: Table configurations
            indexes:
              type: array
              items:
                $ref: '#/components/schemas/IndexDefinition'
              description: List of index definitions
            primary_key:
              type: array
              items:
                type: string
              description: Primary key column names
            schema:
              description: Schema definition (nullable)
            segmentation:
              description: Table segmentation configuration
            table_name:
              type: string
              description: Name of the table (usually UUID format)
        success:
          type: boolean
          description: Whether the request was successful.
    CoralResponse_ErrorBody:
      type: object
      required:
        - success
        - code
      properties:
        code:
          type: integer
          format: int32
          description: HTTP status code.
          minimum: 0
        data:
          type: object
          required:
            - error_code
            - error_message
          properties:
            error_code:
              type: integer
              format: int32
              minimum: 0
            error_message:
              type: string
        exception:
          type: object
          required:
            - error_code
            - error_message
          properties:
            error_code:
              type: integer
              format: int32
              minimum: 0
            error_message:
              type: string
        success:
          type: boolean
          description: Whether the request was successful.
    ColumnDefinition:
      type: object
      description: Column definition in table schema
      required:
        - name
        - type
        - nullable
      properties:
        name:
          type: string
          description: Column name
        nullable:
          type: boolean
          description: Whether the column can contain null values
        type:
          description: >-
            Column type (can be string like "STRING", "BOOL" or object for
            vector types)
    IndexDefinition:
      type: object
      description: Index definition in table schema
      required:
        - type
        - column
        - params
      properties:
        column:
          type: string
          description: Column name that this index is built on
        params:
          description: Index parameters (varies by index type)
        type:
          type: string
          description: Index type (e.g., "diskbased", "inverted")
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Include the token in the Authorization
        header as 'Bearer <token>'
    apiKeyAuth:
      type: apiKey
      in: header
      name: api-key
      description: API key authentication. Include the key in the api-key header

````